Name: jwhois
Version: 3.2.3
Release: 12%{?dist}
URL: http://www.gnu.org/software/jwhois/
Source0: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz.sig
Patch0: jwhois-3.2.2-ru.patch
Patch1: jwhois-3.2.3-sigpipe.patch
Patch2: jwhois-3.2.3-uninitialized.patch
Patch3: jwhois-3.2.3-idn.patch
Patch4: jwhois-3.2.3-connect.patch
Patch5: jwhois-3.2.3-config.patch
License: GPL
Group: Applications/Internet
Summary: Internet whois/nicname client.
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: fwhois, whois
BuildRequires: autoconf automake libidn-devel
Prereq: /sbin/install-info

%description
A whois client that accepts both traditional and finger-style queries.

%prep
%setup -q
%patch0 -p1 -b .ru
%patch1 -p1 -b .sigpipe
%patch2 -p1 -b .uninitialized
%patch3 -p1 -b .idn
%patch4 -p1 -b .connect
%patch5 -p1 -b .config

iconv -f iso-8859-1 -t utf-8 < doc/sv/jwhois.1 > doc/sv/jwhois.1_
mv doc/sv/jwhois.1_ doc/sv/jwhois.1

%build
autoreconf # For jwhois-3.2.3-idn.patch

%configure --without-cache
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
rm -f "$RPM_BUILD_ROOT"%{_infodir}/dir
%find_lang jwhois

# Make "whois" jwhois.
ln -sf jwhois $RPM_BUILD_ROOT/%{_bindir}/whois
echo .so man1/jwhois.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/whois.1

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/*/man1/jwhois.1*
%{_infodir}/jwhois.info.gz
%config(noreplace) %{_sysconfdir}/jwhois.conf

%post
/sbin/install-info %{_infodir}/jwhois.info %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/jwhois.info %{_infodir}/dir
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%changelog
* Tue Mar 29 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.3-12
- Update jwhois.conf for dotEmarat extension
  Resolves: #663972

* Mon Oct  4 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.3-11
- Fix connecting issue with multi-homed servers

* Wed Aug 11 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.3-10
- Fix gs domain whois server

* Thu Aug  5 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 3.2.3-9
- Fix reversed logic of trying to connect to whois server
  Resolves: #415491
- Update jwhois.conf file
  Resolves: #512930, #509475, #479061

* Tue Oct 31 2006 Miloslav Trmac <mitr@redhat.com> - 3.2.3-8
- Actually use the new upstream config in non-rawhide branches

* Tue Oct 31 2006 Miloslav Trmac <mitr@redhat.com> - 3.2.3-7
- Backport IDN support
  Resolves: #205033
- Update to upstream config as of Oct 31 2006

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.2.3-6.1
- rebuild

* Tue May 16 2006 Miloslav Trmac <mitr@redhat.com> - 3.2.3-6
- Fix some uninitialized memory accesses
- Fix a typo in the ipv6 patch

* Mon May 15 2006 Miloslav Trmac <mitr@redhat.com> - 3.2.3-5
- Update to upstream config as of May 15 2006 (#191291)
- Add more IPv6 address ranges (#191290, original patch by Peter Bieringer)

* Wed Apr 19 2006 Miloslav Trmac <mitr@redhat.com> - 3.2.3-4
- Update to upstream config as of Apr 19 2006 (#188366)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.2.3-3.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.2.3-3.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.3-3
- Ship ChangeLog

* Fri Aug  5 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.3-2
- Don't die on SIGPIPE if a browser is not present, improve the error message
  (#165149)

* Mon Aug  1 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.3-1
- Update to jwhois-3.2.3
- Don't compress jwhois.info manually

* Sun Jun 12 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-16
- Remove 'fuzzy' from ru.po header to make charset conversion work (#160165)

* Sat Jun 11 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-15
- Update to upstream config as of Jun 11 2005, remove patches accepted upstream

* Sat Apr 30 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-14
- Add an AfriNIC range (#156178)

* Mon Apr 11 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-13
- Update to upstream config as of Apr 11 2005 (get results in English 
  from whois.nic.ad.jp)

* Wed Mar 23 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-12
- Update to upstream CVS config as of Mar 23 2005 (#151900)
  Remove now unnecessary typos.patch

* Fri Mar  4 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-11
- Rebuild with gcc 4

* Sun Feb 20 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-10
- Update to upstream CVS config as of Feb 10 2005 (#147562);
  Remove now unecessary denic.patch, update update_2004.patch
- Fix .cd, .gi, .io (#146613, patch by Robert Scheck)

* Sun Jan  2 2005 Miloslav Trmac <mitr@redhat.com> - 3.2.2-9
- Add IPv6 address ranges, fix .pro, 223.0.0.0/8 (#143682, patch by Robert
  Scheck)

* Sat Nov 20 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-8
- Convert Swedish man page to UTF-8

* Mon Nov  1 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-7
- Fix double free (#137693)

* Mon Sep 13 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-6
- Recognize more redirections at whois.arin.net (#116423)

* Mon Sep 13 2004 Miloslav Trmac <mitr@redhat.com> - 3.2.2-5
- Update config file for .de (#132362, by Robert Scheck)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan  7 2004 Nalin Dahyabhai <nalin@redhat.com> 3.2.2-2
- fix typos in jwhois.conf (#113012)

* Fri Jul 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- new upstream version 3.2.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Feb 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 3.2.1

* Thu Jan 30 2003 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-6
- search whois.publicinternetregistry.net instead of whois.internic.net for
  all '.org$' domains (#82802).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 3.2.0-5
- rebuilt

* Thu Dec 12 2002 Karsten Hopp <karsten@redhat.de> 3.2.0-4
- Requires(post,preun) doesn't seem to work properly

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de> 3.2.0-3
- require install-info

* Thu Nov 14 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-2
- don't bail out of %%install if make install doesn't create an info top node

* Mon Sep 30 2002 Nalin Dahyabhai <nalin@redhat.com> 3.2.0-1
- initial package
